Bug 45501 - ucs-test/tests/10_ldap/27reconnect_uldap_2 doesn't seem to be run / work
ucs-test/tests/10_ldap/27reconnect_uldap_2 doesn't seem to be run / work
Status: CLOSED FIXED
Product: UCS Test
Classification: Unclassified
Component: LDAP
unspecified
Other Linux
: P5 normal (vote)
: ---
Assigned To: Florian Best
:
Depends on: 44316 45474
Blocks:
  Show dependency treegraph
 
Reported: 2017-10-10 18:32 CEST by Arvid Requate
Modified: 2019-02-20 10:08 CET (History)
4 users (show)

See Also:
What kind of report is it?: Development Internal
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Arvid Requate univentionstaff 2017-10-10 18:32:01 CEST
I can't see ucs-test/tests/10_ldap/27reconnect_uldap_2 getting executed in any of the jenkins setups. Also, it's tagged with [apptest], but it should probably run everywhere?

Also, from reading the code I cannot see how it should work or do anything useful on a Backup or Slave, because it starts the slapd locally but a) should get a redirect to the master, which b) uldap doesn't follow by default.

Somebody should check the test case.



+++ This bug was initially created as a clone of Bug #45474 +++
Comment 1 Florian Best univentionstaff 2017-10-13 14:07:14 CEST
(In reply to Arvid Requate from comment #0)
> I can't see ucs-test/tests/10_ldap/27reconnect_uldap_2 getting executed in
> any of the jenkins setups.
This is because the old ucs-test version is installed:
[master091] 2017-10-13T00:09:25.210624	Unpacking ucs-test-framework (7.0.23-56A~4.2.0.201709211118) ...

The new test case is part of: 7.0.23-58A~4.2.0.201710091208
But that version is not yet pushed to the external testing-mirror.

> Also, it's tagged with [apptest], but it should
> probably run everywhere?
The apptest-flag indicated that it is additionally tested there, not that it is limited to it. The test will be executed on regular systems as well.
 
> Also, from reading the code I cannot see how it should work or do anything
> useful on a Backup or Slave, because it starts the slapd locally but a)
> should get a redirect to the master

The test connects to the local slapd, restarts the local slapd and the reconnection will be done to the local slapd. No interaction with the DC master is required.

>, which b) uldap doesn't follow by
> default.
The test case is not about following any referral. The test is about the reconnecting LDAP class.
Comment 2 Florian Best univentionstaff 2017-10-17 14:06:28 CEST
The test failed on DC Backup/Slave systems because no write permissions exists on the LDAP server for these roles. The exception is now catched.

ucs-test (7.0.23-61)
b417b2380e0d | Bug #45501: fix 10_ldap/27reconnect_uldap_2 on DC Slave/Backup systems

Strange thing: If I set follow_referral=True I get a ldap.SERVER_DOWN exception in modify_ext_s().